[or-cvs] r16936: {torvm} syntax fixes; my old mentor would be ashamed i checked in a (torvm/trunk/build/win32/files)

coderman at seul.org coderman at seul.org
Tue Sep 23 06:51:22 UTC 2008


Author: coderman
Date: 2008-09-23 02:51:22 -0400 (Tue, 23 Sep 2008)
New Revision: 16936

Modified:
   torvm/trunk/build/win32/files/buildall.sh
Log:
syntax fixes; my old mentor would be ashamed i checked in a broken build.

Modified: torvm/trunk/build/win32/files/buildall.sh
===================================================================
--- torvm/trunk/build/win32/files/buildall.sh	2008-09-23 06:29:03 UTC (rev 16935)
+++ torvm/trunk/build/win32/files/buildall.sh	2008-09-23 06:51:22 UTC (rev 16936)
@@ -7,7 +7,7 @@
 export confdir="${ddir}/config"
 export statedir="${ddir}/state"
 
-foreach dir in $ddir $libdir $bindir $confdir $statedir; do
+for dir in $ddir $libdir $bindir $confdir $statedir; do
   if [ ! -d $dir ]; then
     mkdir $dir
   fi
@@ -149,7 +149,7 @@
 echo "exit 0" >> dobuild.bat
 cmd.exe /k dobuild.bat
 if (( $? != 0 )); then
-  echo "ERROR: openvpn tap-win32 build failed." >&2
+  echo "ERROR: openvpn tap-win32 driver build failed." >&2
   exit 1
 fi
 
@@ -159,7 +159,15 @@
 tar zxvf WpcapSrc_4_1_beta4.tar.gz
 cd WpcapSrc_4_1_beta4
 patch -p1 < ../winpcap-tor-device-mods.patch 2>/dev/null
-echo "KILL ME";sleep 3600
+cd packetNtx
+echo "call $DDKENV $DDKDIR fre WXP" > dobuild.bat
+echo "./CompileDriver" >> dobuild.bat
+echo "exit 0" >> dobuild.bat
+cmd.exe /k dobuild.bat
+if (( $? != 0 )); then
+  echo "ERROR: WinPcap NPF.sys driver build failed." >&2
+  exit 1
+fi
 
 
 echo "Building qemu ..."



More information about the tor-commits mailing list